## com.thingmagic
Class Gen2.SecurePasswordLookup

    java.lang.Object
      com.thingmagic.TagAuthentication
          com.thingmagic.Gen2.SecurePasswordLookup

Enclosing class:
  Gen2

    public static class Gen2.SecurePasswordLookup

extends TagAuthentication

Field Summary
`byte` `addressLength`
`byte` `addressOffset`
`byte[]` `flashOffset`

Constructor Summary
`Gen2.SecurePasswordLookup(byte addOffset, byte addLength, byte[] flashOffset)` Create a new Password object.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addressLength

    public byte addressLength

### addressOffset

    public byte addressOffset

### flashOffset

    public byte[] flashOffset

Constructor Detail

### Gen2.SecurePasswordLookup

    public Gen2.SecurePasswordLookup(byte addOffset,
                                     byte addLength,
                                     byte[] flashOffset)

  Create a new Password object.